#!/usr/bin/env bash

#PBS -q main
#PBS -r y
#PBS -W group_list=ecearth
#PBS -l walltime=01:50:00
#PBS -l select=1:ncpus=24:ompthreads=24:mem=63000mb
#PBS -M pierre-yves.barriat@uclouvain.be
#PBS -m abe

exec > ${PBS_O_WORKDIR-$PWD}/${PBS_JOBNAME-"local"}_${PBS_JOBID-"id"}.log
echo "------------------ Job Info --------------------"
echo "jobid : $PBS_JOBID"
echo "jobname : $PBS_JOBNAME"
echo "job type : $PBS_ENVIRONMENT"
echo "submit dir : $PBS_O_WORKDIR"
echo "queue : $PBS_O_QUEUE"
echo "user : $PBS_O_LOGNAME"
echo "threads : $OMP_NUM_THREADS"

set -ue

# Configure and load modules
module purge
PATH="/projects/acad/ecearth/opt/apps/lua/lua/bin:$PATH"
. /projects/acad/ecearth/opt/lmod/lmod/init/profile
module load CDO/1.7.2-foss-2016b NCO/4.6.0-foss-2016b netCDF-Fortran/4.4.4-foss-2016b

cd /SCRATCH/acad/ecearth/pbarriat/TMP
rm -rf EC05_01753152_restart_ice.nc EC05_01753152_restart_oce.nc nam_rebuild

/home/acad/ucl-elic/pbarriat/modeles/ecearth/ecearth_3.3.0/sources/nemo-3.6/TOOLS/REBUILD_NEMO/rebuild_nemo -t 24 EC05_01753152_restart_oce 64
/home/acad/ucl-elic/pbarriat/modeles/ecearth/ecearth_3.3.0/sources/nemo-3.6/TOOLS/REBUILD_NEMO/rebuild_nemo -t 24 EC05_01753152_restart_ice 64

echo ----- REBUILD post finished
